diff --git a/examples/sdk_coexist/ble_app_proximity_coexist/main.c b/examples/sdk_coexist/ble_app_proximity_coexist/main.c
index 3e6c495..14ca4d3 100644
--- a/examples/sdk_coexist/ble_app_proximity_coexist/main.c
+++ b/examples/sdk_coexist/ble_app_proximity_coexist/main.c
@@ -88,6 +88,7 @@
 #include "nrf_pwr_mgmt.h"
 #include "mesh_main.h"
 #include "mesh_app_utils.h"
+#include "debug_pins.h"
 
 #include "nrf_log.h"
 #include "nrf_log_ctrl.h"
@@ -1097,7 +1098,8 @@ int main(void)
 {
     bool erase_bonds;
 
-    // Initialize.
+    // Initialize. 
+    DEBUG_PINS_INIT();
     log_init();
     timers_init();
     buttons_leds_init(&erase_bonds);
diff --git a/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/config/sdk_config.h b/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/config/sdk_config.h
index e9bad8c..68f1c8c 100644
--- a/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/config/sdk_config.h
+++ b/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/config/sdk_config.h
@@ -43,9 +43,9 @@
 #ifndef SDK_CONFIG_H
 #define SDK_CONFIG_H
 // <<< Use Configuration Wizard in Context Menu >>>\n
-#ifdef USE_APP_CONFIG
-#include "app_config.h"
-#endif
+//#ifdef USE_APP_CONFIG
+//#include "app_config.h"
+//#endif
 // <h> Application 
 
 //==========================================================
@@ -6150,7 +6150,7 @@
 // <31=> 1024 Hz
 
 #ifndef APP_TIMER_CONFIG_RTC_FREQUENCY
-#define APP_TIMER_CONFIG_RTC_FREQUENCY 1
+#define APP_TIMER_CONFIG_RTC_FREQUENCY 0
 #endif
 
 // <o> APP_TIMER_CONFIG_IRQ_PRIORITY  - Interrupt priority
@@ -11335,7 +11335,7 @@
 // <i> The time set aside for this connection on every connection interval in 1.25 ms units.
 
 #ifndef NRF_SDH_BLE_GAP_EVENT_LENGTH
-#define NRF_SDH_BLE_GAP_EVENT_LENGTH 6
+#define NRF_SDH_BLE_GAP_EVENT_LENGTH 320
 #endif
 
 // <o> NRF_SDH_BLE_GATT_MAX_MTU_SIZE - Static maximum MTU size.
diff --git a/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/ses/ble_app_proximity_pca10040_s132.emProject b/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/ses/ble_app_proximity_pca10040_s132.emProject
index 2a6081b..55358f0 100644
--- a/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/ses/ble_app_proximity_pca10040_s132.emProject
+++ b/examples/sdk_coexist/ble_app_proximity_coexist/pca10040/s132/ses/ble_app_proximity_pca10040_s132.emProject
@@ -15,85 +15,85 @@
       arm_simulator_memory_simulation_parameter="RWX 00000000,00100000,FFFFFFFF;RWX 20000000,00010000,CDCDCDCD"
       arm_target_device_name="nRF52832_xxAA"
       arm_target_interface_type="SWD"
-      c_user_include_directories="../../../config;../../../../../../components;../../../../../../components/ble/ble_advertising;../../../../../../components/ble/ble_db_discovery;../../../../../../components/ble/ble_dtm;../../../../../../components/ble/ble_link_ctx_manager;../../../../../../components/ble/ble_racp;../../../../../../components/ble/ble_services/ble_ancs_c;../../../../../../components/ble/ble_services/ble_ans_c;../../../../../../components/ble/ble_services/ble_bas;../../../../../../components/ble/ble_services/ble_bas_c;../../../../../../components/ble/ble_services/ble_cscs;../../../../../../components/ble/ble_services/ble_cts_c;../../../../../../components/ble/ble_services/ble_dfu;../../../../../../components/ble/ble_services/ble_dis;../../../../../../components/ble/ble_services/ble_gls;../../../../../../components/ble/ble_services/ble_hids;../../../../../../components/ble/ble_services/ble_hrs;../../../../../../components/ble/ble_services/ble_hrs_c;../../../../../../components/ble/ble_services/ble_hts;../../../../../../components/ble/ble_services/ble_ias;../../../../../../components/ble/ble_services/ble_ias_c;../../../../../../components/ble/ble_services/ble_lbs;../../../../../../components/ble/ble_services/ble_lbs_c;../../../../../../components/ble/ble_services/ble_lls;../../../../../../components/ble/ble_services/ble_nus;../../../../../../components/ble/ble_services/ble_nus_c;../../../../../../components/ble/ble_services/ble_rscs;../../../../../../components/ble/ble_services/ble_rscs_c;../../../../../../components/ble/ble_services/ble_tps;../../../../../../components/ble/common;../../../../../../components/ble/nrf_ble_gatt;../../../../../../components/ble/nrf_ble_gq;../../../../../../components/ble/nrf_ble_qwr;../../../../../../components/ble/peer_manager;../../../../../../components/boards;../../../../../../components/libraries/atomic;../../../../../../components/libraries/atomic_fifo;../../../../../../components/libraries/atomic_flags;../../../../../../components/libraries/balloc;../../../../../../components/libraries/bootloader/ble_dfu;../../../../../../components/libraries/bsp;../../../../../../components/libraries/button;../../../../../../components/libraries/cli;../../../../../../components/libraries/crc16;../../../../../../components/libraries/crc32;../../../../../../components/libraries/crypto;../../../../../../components/libraries/csense;../../../../../../components/libraries/csense_drv;../../../../../../components/libraries/delay;../../../../../../components/libraries/ecc;../../../../../../components/libraries/experimental_section_vars;../../../../../../components/libraries/experimental_task_manager;../../../../../../components/libraries/fds;../../../../../../components/libraries/fstorage;../../../../../../components/libraries/gfx;../../../../../../components/libraries/gpiote;../../../../../../components/libraries/hardfault;../../../../../../components/libraries/hci;../../../../../../components/libraries/led_softblink;../../../../../../components/libraries/log;../../../../../../components/libraries/log/src;../../../../../../components/libraries/low_power_pwm;../../../../../../components/libraries/mem_manager;../../../../../../components/libraries/memobj;../../../../../../components/libraries/mpu;../../../../../../components/libraries/mutex;../../../../../../components/libraries/pwm;../../../../../../components/libraries/pwr_mgmt;../../../../../../components/libraries/queue;../../../../../../components/libraries/ringbuf;../../../../../../components/libraries/scheduler;../../../../../../components/libraries/sdcard;../../../../../../components/libraries/sensorsim;../../../../../../components/libraries/slip;../../../../../../components/libraries/sortlist;../../../../../../components/libraries/spi_mngr;../../../../../../components/libraries/stack_guard;../../../../../../components/libraries/strerror;../../../../../../components/libraries/svc;../../../../../../components/libraries/timer;../../../../../../components/libraries/twi_mngr;../../../../../../components/libraries/twi_sensor;../../../../../../components/libraries/usbd;../../../../../../components/libraries/usbd/class/audio;../../../../../../components/libraries/usbd/class/cdc;../../../../../../components/libraries/usbd/class/cdc/acm;../../../../../../components/libraries/usbd/class/hid;../../../../../../components/libraries/usbd/class/hid/generic;../../../../../../components/libraries/usbd/class/hid/kbd;../../../../../../components/libraries/usbd/class/hid/mouse;../../../../../../components/libraries/usbd/class/msc;../../../../../../components/libraries/util;../../../../../../components/nfc/ndef/conn_hand_parser;../../../../../../components/nfc/ndef/conn_hand_parser/ac_rec_parser;../../../../../../components/nfc/ndef/conn_hand_parser/ble_oob_advdata_parser;../../../../../../components/nfc/ndef/conn_hand_parser/le_oob_rec_parser;../../../../../../components/nfc/ndef/connection_handover/ac_rec;../../../../../../components/nfc/ndef/connection_handover/ble_oob_advdata;../../../../../../components/nfc/ndef/connection_handover/ble_pair_lib;../../../../../../components/nfc/ndef/connection_handover/ble_pair_msg;../../../../../../components/nfc/ndef/connection_handover/common;../../../../../../components/nfc/ndef/connection_handover/ep_oob_rec;../../../../../../components/nfc/ndef/connection_handover/hs_rec;../../../../../../components/nfc/ndef/connection_handover/le_oob_rec;../../../../../../components/nfc/ndef/generic/message;../../../../../../components/nfc/ndef/generic/record;../../../../../../components/nfc/ndef/launchapp;../../../../../../components/nfc/ndef/parser/message;../../../../../../components/nfc/ndef/parser/record;../../../../../../components/nfc/ndef/text;../../../../../../components/nfc/ndef/uri;../../../../../../components/nfc/platform;../../../../../../components/nfc/t2t_lib;../../../../../../components/nfc/t2t_parser;../../../../../../components/nfc/t4t_lib;../../../../../../components/nfc/t4t_parser/apdu;../../../../../../components/nfc/t4t_parser/cc_file;../../../../../../components/nfc/t4t_parser/hl_detection_procedure;../../../../../../components/nfc/t4t_parser/tlv;../../../../../../components/softdevice/common;../../../../../../components/softdevice/s132/headers;../../../../../../components/softdevice/s132/headers/nrf52;../../../../../../components/toolchain/cmsis/include;../../../../../../external/fprintf;../../../../../../external/segger_rtt;../../../../../../external/utf_converter;../../../../../../integration/nrfx;../../../../../../integration/nrfx/legacy;../../../../../../modules/nrfx;../../../../../../modules/nrfx/drivers/include;../../../../../../modules/nrfx/hal;../../../../../../modules/nrfx/mdk;../config;../../..;$(MESH_ROOT)/mesh/core/api;$(MESH_ROOT)/mesh/core/include;$(MESH_ROOT)/mesh/bearer/api;$(MESH_ROOT)/mesh/bearer/include;$(MESH_ROOT)/mesh/prov/api;$(MESH_ROOT)/mesh/prov/include;$(MESH_ROOT)/mesh/access/api;$(MESH_ROOT)/mesh/access/include;$(MESH_ROOT)/mesh/dfu/api;$(MESH_ROOT)/mesh/dfu/include;$(MESH_ROOT)/mesh/gatt/api;$(MESH_ROOT)/mesh/gatt/include;$(MESH_ROOT)/mesh/stack/api;$(MESH_ROOT)/models/model_spec/common/include;$(MESH_ROOT)/models/foundation/config/include;$(MESH_ROOT)/models/foundation/health/include;$(MESH_ROOT)/models/model_spec/generic_onoff/include;$(MESH_ROOT)/external/micro-ecc;$(MESH_ROOT)/examples/common/include;$(MESH_ROOT)/examples/light_switch/include;$(MESH_ROOT)/examples/light_switch/client/include"
-      c_preprocessor_definitions="BOARD_PCA10040;CONFIG_GPIO_AS_PINRESET;FLOAT_ABI_HARD;INITIALIZE_USER_SECTIONS;NO_VTOR_CONFIG;NRF52;NRF52832_XXAA;NRF52_PAN_74;NRF_SD_BLE_API_VERSION=7;S132;SOFTDEVICE_PRESENT;SWI_DISABLE0;NRF52_SERIES;NRF_LOG_USES_RTT=1;NRF_MESH_LOG_ENABLE=NRF_LOG_USES_RTT;CONFIG_APP_IN_CORE;NRF52832;USE_APP_CONFIG"
+      c_preprocessor_definitions="BOARD_PCA10040;CONFIG_GPIO_AS_PINRESET;FLOAT_ABI_HARD;INITIALIZE_USER_SECTIONS;NO_VTOR_CONFIG;NRF52;NRF52832_XXAA;NRF52_PAN_74;NRF_SD_BLE_API_VERSION=7;S132;SOFTDEVICE_PRESENT;SWI_DISABLE0;NRF52_SERIES;NRF_LOG_USES_RTT=1;NRF_MESH_LOG_ENABLE=NRF_LOG_USES_RTT;CONFIG_APP_IN_CORE;NRF52832;DEBUG_PINS_ENABLED"
+      c_user_include_directories="../../../config;../../../../../../../nRF5_SDK/components;../../../../../../../nRF5_SDK/components/ble/ble_advertising;../../../../../../../nRF5_SDK/components/ble/ble_db_discovery;../../../../../../../nRF5_SDK/components/ble/ble_dtm;../../../../../../../nRF5_SDK/components/ble/ble_link_ctx_manager;../../../../../../../nRF5_SDK/components/ble/ble_racp;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ancs_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ans_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_bas;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_bas_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_cscs;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_cts_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_dfu;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_dis;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_gls;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_hids;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_hrs;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_hrs_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_hts;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ias;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ias_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_lbs;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_lbs_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_lls;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_nus;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_nus_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_rscs;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_rscs_c;../../../../../../../nRF5_SDK/components/ble/ble_services/ble_tps;../../../../../../../nRF5_SDK/components/ble/common;../../../../../../../nRF5_SDK/components/ble/nrf_ble_gatt;../../../../../../../nRF5_SDK/components/ble/nrf_ble_gq;../../../../../../../nRF5_SDK/components/ble/nrf_ble_qwr;../../../../../../../nRF5_SDK/components/ble/peer_manager;../../../../../../../nRF5_SDK/components/boards;../../../../../../../nRF5_SDK/components/libraries/atomic;../../../../../../../nRF5_SDK/components/libraries/atomic_fifo;../../../../../../../nRF5_SDK/components/libraries/atomic_flags;../../../../../../../nRF5_SDK/components/libraries/balloc;../../../../../../../nRF5_SDK/components/libraries/bootloader/ble_dfu;../../../../../../../nRF5_SDK/components/libraries/bsp;../../../../../../../nRF5_SDK/components/libraries/button;../../../../../../../nRF5_SDK/components/libraries/cli;../../../../../../../nRF5_SDK/components/libraries/crc16;../../../../../../../nRF5_SDK/components/libraries/crc32;../../../../../../../nRF5_SDK/components/libraries/crypto;../../../../../../../nRF5_SDK/components/libraries/csense;../../../../../../../nRF5_SDK/components/libraries/csense_drv;../../../../../../../nRF5_SDK/components/libraries/delay;../../../../../../../nRF5_SDK/components/libraries/ecc;../../../../../../../nRF5_SDK/components/libraries/experimental_section_vars;../../../../../../../nRF5_SDK/components/libraries/experimental_task_manager;../../../../../../../nRF5_SDK/components/libraries/fds;../../../../../../../nRF5_SDK/components/libraries/fstorage;../../../../../../../nRF5_SDK/components/libraries/gfx;../../../../../../../nRF5_SDK/components/libraries/gpiote;../../../../../../../nRF5_SDK/components/libraries/hardfault;../../../../../../../nRF5_SDK/components/libraries/hci;../../../../../../../nRF5_SDK/components/libraries/led_softblink;../../../../../../../nRF5_SDK/components/libraries/log;../../../../../../../nRF5_SDK/components/libraries/log/src;../../../../../../../nRF5_SDK/components/libraries/low_power_pwm;../../../../../../../nRF5_SDK/components/libraries/mem_manager;../../../../../../../nRF5_SDK/components/libraries/memobj;../../../../../../../nRF5_SDK/components/libraries/mpu;../../../../../../../nRF5_SDK/components/libraries/mutex;../../../../../../../nRF5_SDK/components/libraries/pwm;../../../../../../../nRF5_SDK/components/libraries/pwr_mgmt;../../../../../../../nRF5_SDK/components/libraries/queue;../../../../../../../nRF5_SDK/components/libraries/ringbuf;../../../../../../../nRF5_SDK/components/libraries/scheduler;../../../../../../../nRF5_SDK/components/libraries/sdcard;../../../../../../../nRF5_SDK/components/libraries/sensorsim;../../../../../../../nRF5_SDK/components/libraries/slip;../../../../../../../nRF5_SDK/components/libraries/sortlist;../../../../../../../nRF5_SDK/components/libraries/spi_mngr;../../../../../../../nRF5_SDK/components/libraries/stack_guard;../../../../../../../nRF5_SDK/components/libraries/strerror;../../../../../../../nRF5_SDK/components/libraries/svc;../../../../../../../nRF5_SDK/components/libraries/timer;../../../../../../../nRF5_SDK/components/libraries/twi_mngr;../../../../../../../nRF5_SDK/components/libraries/twi_sensor;../../../../../../../nRF5_SDK/components/libraries/usbd;../../../../../../../nRF5_SDK/components/libraries/usbd/class/audio;../../../../../../../nRF5_SDK/components/libraries/usbd/class/cdc;../../../../../../../nRF5_SDK/components/libraries/usbd/class/cdc/acm;../../../../../../../nRF5_SDK/components/libraries/usbd/class/hid;../../../../../../../nRF5_SDK/components/libraries/usbd/class/hid/generic;../../../../../../../nRF5_SDK/components/libraries/usbd/class/hid/kbd;../../../../../../../nRF5_SDK/components/libraries/usbd/class/hid/mouse;../../../../../../../nRF5_SDK/components/libraries/usbd/class/msc;../../../../../../../nRF5_SDK/components/libraries/util;../../../../../../../nRF5_SDK/components/nfc/ndef/conn_hand_parser;../../../../../../../nRF5_SDK/components/nfc/ndef/conn_hand_parser/ac_rec_parser;../../../../../../../nRF5_SDK/components/nfc/ndef/conn_hand_parser/ble_oob_advdata_parser;../../../../../../../nRF5_SDK/components/nfc/ndef/conn_hand_parser/le_oob_rec_parser;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/ac_rec;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/ble_oob_advdata;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/ble_pair_lib;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/ble_pair_msg;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/common;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/ep_oob_rec;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/hs_rec;../../../../../../../nRF5_SDK/components/nfc/ndef/connection_handover/le_oob_rec;../../../../../../../nRF5_SDK/components/nfc/ndef/generic/message;../../../../../../../nRF5_SDK/components/nfc/ndef/generic/record;../../../../../../../nRF5_SDK/components/nfc/ndef/launchapp;../../../../../../../nRF5_SDK/components/nfc/ndef/parser/message;../../../../../../../nRF5_SDK/components/nfc/ndef/parser/record;../../../../../../../nRF5_SDK/components/nfc/ndef/text;../../../../../../../nRF5_SDK/components/nfc/ndef/uri;../../../../../../../nRF5_SDK/components/nfc/platform;../../../../../../../nRF5_SDK/components/nfc/t2t_lib;../../../../../../../nRF5_SDK/components/nfc/t2t_parser;../../../../../../../nRF5_SDK/components/nfc/t4t_lib;../../../../../../../nRF5_SDK/components/nfc/t4t_parser/apdu;../../../../../../../nRF5_SDK/components/nfc/t4t_parser/cc_file;../../../../../../../nRF5_SDK/components/nfc/t4t_parser/hl_detection_procedure;../../../../../../../nRF5_SDK/components/nfc/t4t_parser/tlv;../../../../../../../nRF5_SDK/components/softdevice/common;../../../../../../../nRF5_SDK/components/softdevice/s132/headers;../../../../../../../nRF5_SDK/components/softdevice/s132/headers/nrf52;../../../../../../../nRF5_SDK/components/toolchain/cmsis/include;../../../../../../../nRF5_SDK/external/fprintf;../../../../../../../nRF5_SDK/external/segger_rtt;../../../../../../../nRF5_SDK/external/utf_converter;../../../../../../../nRF5_SDK/integration/nrfx;../../../../../../../nRF5_SDK/integration/nrfx/legacy;../../../../../../../nRF5_SDK/modules//nrfx;../../../../../../../nRF5_SDK/modules/nrfx/drivers/include;../../../../../../../nRF5_SDK/modules/nrfx/hal;../../../../../../../nRF5_SDK/modules/nrfx/mdk;../config;../../..;$(MESH_ROOT)/mesh/core;$(MESH_ROOT)/mesh/core/api;$(MESH_ROOT)/mesh/core/include;$(MESH_ROOT)/mesh/bearer/api;$(MESH_ROOT)/mesh/bearer/include;$(MESH_ROOT)/mesh/prov/api;$(MESH_ROOT)/mesh/prov/include;$(MESH_ROOT)/mesh/access/api;$(MESH_ROOT)/mesh/access/include;$(MESH_ROOT)/mesh/dfu/api;$(MESH_ROOT)/mesh/dfu/include;$(MESH_ROOT)/mesh/gatt/api;$(MESH_ROOT)/mesh/gatt/include;$(MESH_ROOT)/mesh/stack/api;$(MESH_ROOT)/models/model_spec/common/include;$(MESH_ROOT)/models/foundation/config/include;$(MESH_ROOT)/models/foundation/health/include;$(MESH_ROOT)/models/model_spec/generic_onoff/include;$(MESH_ROOT)/external/micro-ecc;$(MESH_ROOT)/examples/common/include;$(MESH_ROOT)/examples/light_switch/include;$(MESH_ROOT)/examples/light_switch/client/include;$(MESH_ROOT)/examples/common/include"
+      debug_additional_load_file="../../../../../../../nRF5_SDK/components/softdevice/s132/hex/s132_nrf52_7.0.1_softdevice.hex"
+      debug_register_definition_file="../../../../../../../nRF5_SDK/modules//nrfx/mdk/nrf52.svd"
+      debug_start_from_entry_point_symbol="No"
       debug_target_connection="J-Link"
+      gcc_debugging_level="Level 3"
       gcc_entry_point="Reset_Handler"
-      macros="CMSIS_CONFIG_TOOL=../../../../../../external_tools/cmsisconfig/CMSIS_Configuration_Wizard.jar"
-      debug_register_definition_file="../../../../../../modules/nrfx/mdk/nrf52.svd"
-      debug_additional_load_file="../../../../../../components/softdevice/s132/hex/s132_nrf52_7.0.1_softdevice.hex"
-      debug_start_from_entry_point_symbol="No"
-      gcc_debugging_level="Level 3"      linker_output_format="hex"
-      linker_printf_width_precision_supported="Yes"
+      linker_output_format="hex"
       linker_printf_fmt_level="long"
+      linker_printf_width_precision_supported="Yes"
       linker_scanf_fmt_level="long"
       linker_section_placement_file="flash_placement.xml"
-      linker_section_placement_macros="FLASH_PH_START=0x0;FLASH_PH_SIZE=0x80000;RAM_PH_START=0x20000000;RAM_PH_SIZE=0x10000;FLASH_START=0x26000;FLASH_SIZE=0x5a000;RAM_START=0x20002420;RAM_SIZE=0xdbe0"
-      
+      linker_section_placement_macros="FLASH_PH_START=0x0;FLASH_PH_SIZE=0x80000;RAM_PH_START=0x20000000;RAM_PH_SIZE=0x10000;FLASH_START=0x26000;FLASH_SIZE=0x5a000;RAM_START=0x200046A0;RAM_SIZE=0xb960"
       linker_section_placements_segments="FLASH RX 0x0 0x80000;RAM RWX 0x20000000 0x10000"
+      macros="CMSIS_CONFIG_TOOL=../../../../../../external_tools/cmsisconfig/CMSIS_Configuration_Wizard.jar"
       project_directory=""
       project_type="Executable" />
     <folder Name="Segger Startup Files">
       <file file_name="$(StudioDir)/source/thumb_crt0.s" />
     </folder>
     <folder Name="nRF_Log">
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_backend_rtt.c" />
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_backend_serial.c" />
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_backend_uart.c" />
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_default_backends.c" />
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_frontend.c" />
-      <file file_name="../../../../../../components/libraries/log/src/nrf_log_str_formatter.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_backend_rtt.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_backend_serial.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_backend_uart.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_default_backends.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_frontend.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/log/src/nrf_log_str_formatter.c" />
     </folder>
     <folder Name="nRF_Libraries">
-      <file file_name="../../../../../../components/libraries/button/app_button.c" />
-      <file file_name="../../../../../../components/libraries/util/app_error.c" />
-      <file file_name="../../../../../../components/libraries/util/app_error_handler_gcc.c" />
-      <file file_name="../../../../../../components/libraries/util/app_error_weak.c" />
-      <file file_name="../../../../../../components/libraries/scheduler/app_scheduler.c" />
-      <file file_name="../../../../../../components/libraries/util/app_util_platform.c" />
-      <file file_name="../../../../../../components/libraries/crc16/crc16.c" />
-      <file file_name="../../../../../../components/libraries/fds/fds.c" />
-      <file file_name="../../../../../../components/libraries/hardfault/hardfault_implementation.c" />
-      <file file_name="../../../../../../components/libraries/util/nrf_assert.c" />
-      <file file_name="../../../../../../components/libraries/atomic_fifo/nrf_atfifo.c" />
-      <file file_name="../../../../../../components/libraries/atomic_flags/nrf_atflags.c" />
-      <file file_name="../../../../../../components/libraries/atomic/nrf_atomic.c" />
-      <file file_name="../../../../../../components/libraries/balloc/nrf_balloc.c" />
-      <file file_name="../../../../../../external/fprintf/nrf_fprintf.c" />
-      <file file_name="../../../../../../external/fprintf/nrf_fprintf_format.c" />
-      <file file_name="../../../../../../components/libraries/fstorage/nrf_fstorage.c" />
-      <file file_name="../../../../../../components/libraries/fstorage/nrf_fstorage_sd.c" />
-      <file file_name="../../../../../../components/libraries/memobj/nrf_memobj.c" />
-      <file file_name="../../../../../../components/libraries/pwr_mgmt/nrf_pwr_mgmt.c" />
-      <file file_name="../../../../../../components/libraries/queue/nrf_queue.c" />
-      <file file_name="../../../../../../components/libraries/ringbuf/nrf_ringbuf.c" />
-      <file file_name="../../../../../../components/libraries/experimental_section_vars/nrf_section_iter.c" />
-      <file file_name="../../../../../../components/libraries/sortlist/nrf_sortlist.c" />
-      <file file_name="../../../../../../components/libraries/strerror/nrf_strerror.c" />
-      <file file_name="../../../../../../components/libraries/sensorsim/sensorsim.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/button/app_button.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/util/app_error.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/util/app_error_handler_gcc.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/util/app_error_weak.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/scheduler/app_scheduler.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/util/app_util_platform.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/crc16/crc16.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/fds/fds.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/hardfault/hardfault_implementation.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/util/nrf_assert.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/atomic_fifo/nrf_atfifo.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/atomic_flags/nrf_atflags.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/atomic/nrf_atomic.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/balloc/nrf_balloc.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/fprintf/nrf_fprintf.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/fprintf/nrf_fprintf_format.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/fstorage/nrf_fstorage.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/fstorage/nrf_fstorage_sd.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/memobj/nrf_memobj.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/pwr_mgmt/nrf_pwr_mgmt.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/queue/nrf_queue.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/ringbuf/nrf_ringbuf.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/experimental_section_vars/nrf_section_iter.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/sortlist/nrf_sortlist.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/strerror/nrf_strerror.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/sensorsim/sensorsim.c" />
     </folder>
     <folder Name="None">
-      <file file_name="../../../../../../modules/nrfx/mdk/ses_startup_nrf52.s" />
-      <file file_name="../../../../../../modules/nrfx/mdk/ses_startup_nrf_common.s" />
-      <file file_name="../../../../../../modules/nrfx/mdk/system_nrf52.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/mdk/ses_startup_nrf52.s" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/mdk/ses_startup_nrf_common.s" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/mdk/system_nrf52.c" />
     </folder>
     <folder Name="Board Definition">
-      <file file_name="../../../../../../components/boards/boards.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/boards/boards.c" />
     </folder>
     <folder Name="nRF_Drivers">
-      <file file_name="../../../../../../integration/nrfx/legacy/nrf_drv_clock.c" />
-      <file file_name="../../../../../../integration/nrfx/legacy/nrf_drv_uart.c" />
-      <file file_name="../../../../../../modules/nrfx/soc/nrfx_atomic.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/nrfx_clock.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/nrfx_gpiote.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/prs/nrfx_prs.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/nrfx_saadc.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/nrfx_uart.c" />
-      <file file_name="../../../../../../modules/nrfx/drivers/src/nrfx_uarte.c" />
+      <file file_name="../../../../../../../nRF5_SDK/integration/nrfx/legacy/nrf_drv_clock.c" />
+      <file file_name="../../../../../../../nRF5_SDK/integration/nrfx/legacy/nrf_drv_uart.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/soc/nrfx_atomic.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/nrfx_clock.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/nrfx_gpiote.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/prs/nrfx_prs.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/nrfx_saadc.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/nrfx_uart.c" />
+      <file file_name="../../../../../../../nRF5_SDK/modules/nrfx/drivers/src/nrfx_uarte.c" />
     </folder>
     <folder Name="Board Support">
-      <file file_name="../../../../../../components/libraries/bsp/bsp.c" />
-      <file file_name="../../../../../../components/libraries/bsp/bsp_btn_ble.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/bsp/bsp.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/libraries/bsp/bsp_btn_ble.c" />
     </folder>
     <folder Name="Application">
       <file file_name="../../../main.c" />
@@ -101,48 +101,48 @@
       <file file_name="../../../mesh_main.c" />
     </folder>
     <folder Name="nRF_Segger_RTT">
-      <file file_name="../../../../../../external/segger_rtt/SEGGER_RTT.c" />
-      <file file_name="../../../../../../external/segger_rtt/SEGGER_RTT_Syscalls_SES.c" />
-      <file file_name="../../../../../../external/segger_rtt/SEGGER_RTT_printf.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/segger_rtt/SEGGER_RTT.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/segger_rtt/SEGGER_RTT_Syscalls_SES.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/segger_rtt/SEGGER_RTT_printf.c" />
     </folder>
     <folder Name="nRF_BLE">
-      <file file_name="../../../../../../components/ble/peer_manager/auth_status_tracker.c" />
-      <file file_name="../../../../../../components/ble/common/ble_advdata.c" />
-      <file file_name="../../../../../../components/ble/ble_advertising/ble_advertising.c" />
-      <file file_name="../../../../../../components/ble/common/ble_conn_params.c" />
-      <file file_name="../../../../../../components/ble/common/ble_conn_state.c" />
-      <file file_name="../../../../../../components/ble/ble_db_discovery/ble_db_discovery.c" />
-      <file file_name="../../../../../../components/ble/ble_link_ctx_manager/ble_link_ctx_manager.c" />
-      <file file_name="../../../../../../components/ble/common/ble_srv_common.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/gatt_cache_manager.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/gatts_cache_manager.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/id_manager.c" />
-      <file file_name="../../../../../../components/ble/nrf_ble_gatt/nrf_ble_gatt.c" />
-      <file file_name="../../../../../../components/ble/nrf_ble_gq/nrf_ble_gq.c" />
-      <file file_name="../../../../../../components/ble/nrf_ble_qwr/nrf_ble_qwr.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/peer_data_storage.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/peer_database.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/peer_id.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/peer_manager.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/peer_manager_handler.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/pm_buffer.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/security_dispatcher.c" />
-      <file file_name="../../../../../../components/ble/peer_manager/security_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/auth_status_tracker.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/common/ble_advdata.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_advertising/ble_advertising.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/common/ble_conn_params.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/common/ble_conn_state.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_db_discovery/ble_db_discovery.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_link_ctx_manager/ble_link_ctx_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/common/ble_srv_common.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/gatt_cache_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/gatts_cache_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/id_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/nrf_ble_gatt/nrf_ble_gatt.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/nrf_ble_gq/nrf_ble_gq.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/nrf_ble_qwr/nrf_ble_qwr.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/peer_data_storage.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/peer_database.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/peer_id.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/peer_manager.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/peer_manager_handler.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/pm_buffer.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/security_dispatcher.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/peer_manager/security_manager.c" />
     </folder>
     <folder Name="UTF8/UTF16 converter">
-      <file file_name="../../../../../../external/utf_converter/utf.c" />
+      <file file_name="../../../../../../../nRF5_SDK/external/utf_converter/utf.c" />
     </folder>
     <folder Name="nRF_BLE_Services">
-      <file file_name="../../../../../../components/ble/ble_services/ble_bas/ble_bas.c" />
-      <file file_name="../../../../../../components/ble/ble_services/ble_ias/ble_ias.c" />
-      <file file_name="../../../../../../components/ble/ble_services/ble_ias_c/ble_ias_c.c" />
-      <file file_name="../../../../../../components/ble/ble_services/ble_lls/ble_lls.c" />
-      <file file_name="../../../../../../components/ble/ble_services/ble_tps/ble_tps.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_services/ble_bas/ble_bas.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ias/ble_ias.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_services/ble_ias_c/ble_ias_c.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_services/ble_lls/ble_lls.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/ble/ble_services/ble_tps/ble_tps.c" />
     </folder>
     <folder Name="nRF_SoftDevice">
-      <file file_name="../../../../../../components/softdevice/common/nrf_sdh.c" />
-      <file file_name="../../../../../../components/softdevice/common/nrf_sdh_ble.c" />
-      <file file_name="../../../../../../components/softdevice/common/nrf_sdh_soc.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/softdevice/common/nrf_sdh.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/softdevice/common/nrf_sdh_ble.c" />
+      <file file_name="../../../../../../../nRF5_SDK/components/softdevice/common/nrf_sdh_soc.c" />
     </folder>
     <folder Name="Mesh">
       <folder
@@ -196,11 +196,12 @@
       <file file_name="$(MESH_ROOT)/examples/common/src/mesh_adv.c" />
     </folder>
   </project>
-  <configuration Name="Release"
+  <configuration
+    Name="Release"
     c_preprocessor_definitions="NDEBUG"
     gcc_optimization_level="Optimize For Size" />
-  <configuration Name="Debug"
+  <configuration
+    Name="Debug"
     c_preprocessor_definitions="DEBUG; DEBUG_NRF"
     gcc_optimization_level="None" />
-
 </solution>
diff --git a/mesh/core/include/debug_pins.h b/mesh/core/include/debug_pins.h
index 5efc7d5..1177904 100644
--- a/mesh/core/include/debug_pins.h
+++ b/mesh/core/include/debug_pins.h
@@ -53,14 +53,14 @@
 #define DEBUG_PIN6 18
 #define DEBUG_PIN7 19
 #elif defined(NRF52_SERIES) || defined(HOST)
-#define DEBUG_PIN0 22
-#define DEBUG_PIN1 23
-#define DEBUG_PIN2 24
-#define DEBUG_PIN3 25
-#define DEBUG_PIN4 26
-#define DEBUG_PIN5 27
-#define DEBUG_PIN6 28
-#define DEBUG_PIN7 29
+#define DEBUG_PIN0 4
+#define DEBUG_PIN1 3
+#define DEBUG_PIN2 28
+#define DEBUG_PIN3 29
+#define DEBUG_PIN4 30
+#define DEBUG_PIN5 31
+#define DEBUG_PIN6 24
+#define DEBUG_PIN7 25
 #endif
 
 #define DEBUG_PIN_UINT_BIT_SET                  DEBUG_PIN6
@@ -172,7 +172,7 @@
 
 #endif //DEBUG_PINS_ENABLED
 
-DEBUG_PIN_MODULE(TIMESLOT, false)
+DEBUG_PIN_MODULE(TIMESLOT, true)
 #define DEBUG_PIN_TS_SIGNAL_CALLBACK         DEBUG_PIN0
 #define DEBUG_PIN_TS_IN_TIMESLOT             DEBUG_PIN1
 #define DEBUG_PIN_TS_EXTEND_HANDLER          DEBUG_PIN2
